Author Topic: Update to VM 2.5.5  (Read 7846 times)

bombayx

  • Beginner
  • *
  • Posts: 17
  • Skype Name: norwaiz
  • VirtueMart Version: 2.6.0
Update to VM 2.5.5
« on: April 06, 2014, 18:29:39 pm »
After update from 2.0.26d to VM 2.5.5 I cannot save anything new/modified in VM. Always get an error: vmError: VmTableData Sef Alias in record is missing! Can't save the record with no Sef Alias.

Please advice ;-)
Joomla 2.5.19
PHP 5.5
multi-language shop

lindapowers

  • Full Member
  • ***
  • Posts: 1335
  • If you're going through hell, keep going.
    • Venta de naranjas online y mandarinas
  • Skype Name: manu.gonzalez91
  • VirtueMart Version: Latest avi
Re: Update to VM 2.5.5
« Reply #1 on: April 06, 2014, 19:05:59 pm »
Go to Site -> Global Configuration -> Site -> SEO Settings and choose "YES" at the option called "Unicode Alliases".

bombayx

  • Beginner
  • *
  • Posts: 17
  • Skype Name: norwaiz
  • VirtueMart Version: 2.6.0
Re: Update to VM 2.5.5
« Reply #2 on: April 06, 2014, 22:17:57 pm »
I have SEF disabled in Joomla and VM as well. I tried to enable SEF and you recommendations but situation is the same :-(
Joomla 2.5.19
PHP 5.5
multi-language shop

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9905
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Update to VM 2.5.5
« Reply #3 on: April 07, 2014, 10:51:14 am »
Go to Site -> Global Configuration -> Site -> SEO Settings and choose "YES" at the option called "Unicode Alliases".

This should not make any difference. I am sorry, I have no clue. Bombayx do you have this problem for any edit? or only for the shop view (then it is just a missing entry).
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

bombayx

  • Beginner
  • *
  • Posts: 17
  • Skype Name: norwaiz
  • VirtueMart Version: 2.6.0
Re: Update to VM 2.5.5
« Reply #4 on: April 08, 2014, 17:24:46 pm »
I cannot save any created/modified product/product categories. I cannot create or modify Manufacturer or Vendor.
On the other side I can e.g. modify Reviews/Ratings or create Custom Fields...
This happened after update from 2.0.26d to 2.5.5.

I tried today update from 2.5.5 to 2.6.0 but the situation is the same :-(

e.g.:
- This happens when I tried to define new Manufacturer:


- This happens when I tried to define new Product Category:


- This happens when I tried to define new/modify Product:




Joomla 2.5.19
PHP 5.5
multi-language shop

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9905
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Update to VM 2.5.5
« Reply #5 on: April 08, 2014, 20:08:25 pm »
What happens, when you enter yourself the slug with ASCII characters. The only thing I see is that you are using an interesting charset
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

bombayx

  • Beginner
  • *
  • Posts: 17
  • Skype Name: norwaiz
  • VirtueMart Version: 2.6.0
Re: Update to VM 2.5.5
« Reply #6 on: April 08, 2014, 20:47:17 pm »
What happens, when you enter yourself the slug with ASCII characters. The only thing I see is that you are using an interesting charset

Well let's take e.g. the Manufacturer creation; I switched completely to standard English and used simple strings, see below with the same error:

Joomla 2.5.19
PHP 5.5
multi-language shop

bombayx

  • Beginner
  • *
  • Posts: 17
  • Skype Name: norwaiz
  • VirtueMart Version: 2.6.0
Re: Update to VM 2.5.5
« Reply #7 on: April 08, 2014, 21:34:46 pm »
Isn't this issue related to some permission/shopper/vendor issue? like here: https://forum.virtuemart.net/index.php?topic=99353.0

Facts:
- Joomla 2.5.19
- Virtuemart: 2.6.0
- I use multilingual site
- I use single Vendor mode
- I'm SuperUser / admin in Joomla (ID: 42)
- I'm the Vendor in Virtuemart (Shopper Number / ID: : 21232f297a57a5a743894a0e4a801fc3)

What I already tried:
- switch/use 3 different languages
- switch Joomla/Virtuemart SEO ON/OFF
- switch Use URL rewriting ON/OFF (Joomla)
- switch Unicode Aliases ON/OFF (Joomla)
- Tools & Migration/Migration/write here the new store owner id - I set it to my Joomla ID (42) ---- report: vmdebug Toggled UPDATE `#__virtuemart_vmusers` SET `user_is_vendor` = "1" WHERE `virtuemart_user_id` = "42"





Joomla 2.5.19
PHP 5.5
multi-language shop

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9905
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Update to VM 2.5.5
« Reply #8 on: April 08, 2014, 21:45:01 pm »
Absolutly crazy interesting. Please send me backend login for a superuser to the page and an installed extplorer. Then I can do some live debugging. Maybe also with skype, so we can search together.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

bombayx

  • Beginner
  • *
  • Posts: 17
  • Skype Name: norwaiz
  • VirtueMart Version: 2.6.0
Re: Update to VM 2.5.5
« Reply #9 on: April 08, 2014, 22:10:25 pm »
Absolutly crazy interesting. Please send me backend login for a superuser to the page and an installed extplorer. Then I can do some live debugging. Maybe also with skype, so we can search together.

You got my message ;-)
Joomla 2.5.19
PHP 5.5
multi-language shop

itsyours

  • Beginner
  • *
  • Posts: 12
Re: Update to VM 2.5.5
« Reply #10 on: April 09, 2014, 10:25:27 am »
after UPDATE I have the same problem too :( is any solution???

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9905
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Update to VM 2.5.5
« Reply #11 on: April 09, 2014, 11:06:07 am »
It is absolutly crazy !

First, I dont know why, but his slug Ever-Pretty 9998PK becomes "ever+pretty+9998pk" instead "ever-pretty-9998pk".

Second it works in the moment I add a vmdebug before "mb_ereg_replace" in the filterUword function. This looks for me like a php bug or so.

ha found it. Your php version is completly outdated. I am sorry

PHP Version    5.2.17

Actually the real minimum is 5.3.10.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

itsyours

  • Beginner
  • *
  • Posts: 12
Re: Update to VM 2.5.5
« Reply #12 on: April 09, 2014, 11:24:50 am »
Yeah :)

After update PHP version to 5.5 it looks like it is OK :) thank you Milbo

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9905
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Update to VM 2.5.5
« Reply #13 on: April 09, 2014, 11:26:53 am »
I added notes to the "latest update information" and to the "News".

It is really silly, just doing an echo which is not shown anyway let make it work. I am quite sure it is just a (for us) unknown php bug.

and with php5.5 it should be also fuckn faster :-)
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

bombayx

  • Beginner
  • *
  • Posts: 17
  • Skype Name: norwaiz
  • VirtueMart Version: 2.6.0
Re: Update to VM 2.5.5
« Reply #14 on: April 09, 2014, 18:42:22 pm »
I added notes to the "latest update information" and to the "News".

It is really silly, just doing an echo which is not shown anyway let make it work. I am quite sure it is just a (for us) unknown php bug.

and with php5.5 it should be also fuckn faster :-)

Many thanks for your great support, helped a lot! Next time I'll mention the PHP version as well ;-)

Joomla 2.5.19
PHP 5.5
multi-language shop